CH_ACCEPT_ON_DOCK(3)

FUNCTION
ch_accept_on_dock - Accept a connection.

SYNOPSIS
#include <karma_ch.h>

Channel ch_accept_on_dock

(Channel dock, unsigned long *addr)

DESCRIPTION
This routine will open a full-duplex connection channel to the first connection on a waiting dock.

dock
    The dock.

addr
    The address of the host connecting to the dock will be written here.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/